Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#46785 - [qmmp] Missing libxkbcommon-x11 dependency

Attached to Project: Community Packages
Opened by Damián Barberón (damian01w) - Monday, 19 October 2015, 02:49 GMT
Last edited by Jaroslav Lichtblau (Dragonlord) - Wednesday, 21 October 2015, 21:11 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Jaroslav Lichtblau (Dragonlord)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
After a SO fresh install, qmmp 1.0.0-2 failed to start.

It says:
This application failed to start because it could not find or load the Qt platform plugin "xcb".
Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, xcb.
Reinstalling the application may fix this problem.
Aborted (core dumped)

After manual installing "libxkbcommon-x11", qmmp run as expected.

Additional info:
qmmp 1.0.0-2

Steps to reproduce:
Start qmmp without "libxkbcommon-x11" installed. Note that "libxkbcommon-x11" is not pulled as a dependency.
This task depends upon

Closed by  Jaroslav Lichtblau (Dragonlord)
Wednesday, 21 October 2015, 21:11 GMT
Reason for closing:  Fixed
Additional comments about closing:  Fixed in qmmp-1.0.1-1
Comment by Doug Newgard (Scimmia) - Monday, 19 October 2015, 02:55 GMT
Looks like the pkgdesc needs updated, too.

Loading...